Skip to main content
POST
/
virtual-wallets
/
holding
/
withdraw
/
{blockchain}
curl -X POST "https://api.cryptomate.me/virtual-wallets/holding/withdraw/POLYGON" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "to_wallet_address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
    "token_address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
    "amount": 500.00
  }'
{
  "transaction_hash": "0x8a3d82e8f6c4e3f1b2d7a9c5e1f3b8d6a4c2e8f1",
  "status": "PENDING"
}
Withdraws tokens from the holding wallet to a specified external address. Solana is not supported. This operation is idempotent. Requires an API key with access level 2 or higher.

Path parameters

blockchain
string
required
Blockchain of the holding wallet. One of ETHEREUM, POLYGON, BSC, ARBITRUM, OPTIMISM, BASE, AVALANCHE.

Body

to_wallet_address
string
required
Destination wallet address for the transfer.
token_address
string
required
Token contract address on the blockchain.
amount
number
required
Amount of tokens to transfer (maximum 6 decimal places).

Response

transaction_hash
string
On-chain transaction hash.
status
string
Current transaction status.
curl -X POST "https://api.cryptomate.me/virtual-wallets/holding/withdraw/POLYGON" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "to_wallet_address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
    "token_address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
    "amount": 500.00
  }'
{
  "transaction_hash": "0x8a3d82e8f6c4e3f1b2d7a9c5e1f3b8d6a4c2e8f1",
  "status": "PENDING"
}